Observation and Visualization: John Snow and the Broad Street Pump
------------------------------------------------------------------

One of the most powerful examples of astute observation eventually leading to the
establishment of causality dates back more than 150 years. To get your mind into
the right timeframe, try to imagine London in the 1850’s. It was the world’s
wealthiest city but many of its people were desperately poor. Charles Dickens,
then at the height of his fame, was writing about their plight. Disease was rife
in the poorer parts of the city, and cholera was among the most feared. It was
not yet known that germs cause disease; the leading theory was that “miasmas”
were the main culprit. Miasmas manifested themselves as bad smells, and were
thought to be invisible poisonous particles arising out of decaying matter.
Parts of London did smell very bad, especially in hot weather. To protect
themselves against infection, those who could afford to held sweet-smelling
things to their noses.

For several years, a doctor by the name of John Snow had been following the
devastating waves of cholera that hit England from time to time. The disease
arrived suddenly and was almost immediately deadly: people died within a day or
two of contracting it, hundreds could die in a week, and the total death toll in
a single wave could reach tens of thousands. Snow was skeptical of the miasma
theory. He had noticed that while entire households were wiped out by cholera,
the people in neighboring houses sometimes remained completely unaffected. As
they were breathing the same air—and miasmas—as their neighbors, there was no
compelling association between bad smells and the incidence of cholera.

Snow had also noticed that the onset of the disease almost always involved
vomiting and diarrhea. He therefore believed that the infection was carried by
something people ate or drank, not by the air that they breathed. His prime
suspect was water contaminated by sewage.

At the end of August 1854, cholera struck in the overcrowded Soho district of
London. As the deaths mounted, Snow recorded them diligently, using a method
that went on to become standard in the study of how diseases spread: *he drew a
map*. On a street map of the district, he recorded the location of each death.

Here is Snow’s original map. Each black bar represents one death. When there are multiple deaths at the same address, the bars corresponding to those deaths are stacked on top of each other. The black
discs mark the locations of water pumps. The map displays a striking
revelation—the deaths are roughly clustered around the Broad Street pump.
![Snow’s Cholera Map](../../../images/snow_map.jpg)

Snow studied his map carefully and investigated the apparent anomalies. All of
them implicated the Broad Street pump. For example:
- There were deaths in houses that were nearer the Rupert Street pump than the
  Broad Street pump. Though the Rupert Street pump was closer as the crow flies,
  it was less convenient to get to because of dead ends and the layout of the
  streets. The residents in those houses used the Broad Street pump instead.
- There were no deaths in two blocks just east of the pump. That was the
  location of the Lion Brewery, where the workers drank what they brewed. If
  they wanted water, the brewery had its own well.
- There were scattered deaths in houses several blocks away from the Broad
  Street pump. Those were children who drank from the Broad Street pump on their
  way to school. The pump’s water was known to be cool and refreshing.

The final piece of evidence in support of Snow’s theory was provided by two
isolated deaths in the leafy and genteel Hampstead area, quite far from Soho.
Snow was puzzled by these until he learned that the deceased were Mrs. Susannah
Eley, who had once lived in Broad Street, and her niece. Mrs. Eley had water
from the Broad Street pump delivered to her in Hampstead every day. She liked
its taste.

Later it was discovered that a cesspit that was just a few feet away from the
well of the Broad Street pump had been leaking into the well. Thus the pump’s
water was contaminated by sewage from the houses of cholera victims.

Snow used his map to convince local authorities to remove the handle of the
Broad Street pump. Though the cholera epidemic was already on the wane when he
did so, it is possible that the disabling of the pump prevented many deaths from
future waves of the disease.

The removal of the Broad Street pump handle has become the stuff of legend. At
the Centers for Disease Control (CDC) in Atlanta, when scientists look for
simple answers to questions about epidemics, they sometimes ask each other,
“Where is the handle to this pump?”

Snow’s map is one of the earliest and most powerful uses of data visualization.
Disease maps of various kinds are now a standard tool for tracking epidemics.

**Towards Causality**

Though the map gave Snow a strong indication that  the cleanliness of the water
supply was the key to controlling cholera, he was still a long way from a
convincing scientific argument that contaminated water was causing the spread of
the disease. To make a more compelling case, he had to use the method of
*comparison*.

Scientists use comparison to identify an association between a treatment and an
outcome. They compare the outcomes of a group of individuals who got the
treatment (the *treatment group*) to the outcomes of a group who did not (the
*control group*). For example, researchers today might compare the average
murder rate in states that have the death penalty with the average murder rate
in states that don’t.

If the results are different, that is evidence for an association. To determine
causation, however, even more care is needed.
